Issue 110142 - svx: make search/replace of colour names with translations safer
Summary: svx: make search/replace of colour names with translations safer
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: DEV300m74
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: 3.4.1
Assignee: ooo
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 90439
  Show dependency tree
 
Reported: 2010-03-15 16:21 UTC by caolanm
Modified: 2017-05-20 10:22 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
like so (1.18 KB, patch)
2010-03-15 16:21 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2010-03-15 16:21:07 UTC
Our colour translation system for e.g. "Gray 10%" and "Black 1" works by
replacing Gray/Black with the translated term. This is all very well and good,
but we want to have Custom colours like "Red Hat 1" in the list :-) Red gets
translated in this context where we don't want that to happen.

Attached is a patch to make the search/replace safer
Comment 1 caolanm 2010-03-15 16:21:28 UTC
Created attachment 68355 [details]
like so
Comment 2 ooo 2010-03-18 19:27:50 UTC
verified and applied patch
Comment 3 ooo 2010-10-25 13:38:07 UTC
retargeted to 3.4